KDE 4.9 PyKDE API Reference

- KDE's Python API

# GeoDataItemIcon Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

## Enumerations
ItemIconState | { Open, Closed, Error, Fetching0, Fetching1, Fetching2 }
## Methods
| __init__ (self)
| __init__ (self, Marble.GeoDataItemIcon other)
QImage | icon (self)
QString | iconPath (self)
QString | nodeType (self)
| setIcon (self, QImage icon)
| setIconPath (self, QString path)
| setState (self, Marble.GeoDataItemIcon.ItemIconStates state)
Marble.GeoDataItemIcon.ItemIconStates | state (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataItemIcon | other
| ) |  |  |

QImage icon | ( |  | self ) |

QString iconPath | ( |  | self ) |

QString nodeType | ( |  | self ) |

Provides type information for downcasting a GeoNode

setIcon | ( | self, |
|  | QImage | icon
| ) |  |  |

setIconPath | ( | self, |
|  | QString | path
| ) |  |  |

setState | ( | self, |
|  | Marble.GeoDataItemIcon.ItemIconStates | state
| ) |  |  |

Marble.GeoDataItemIcon.ItemIconStates state | ( |  | self ) |

## Enumeration Documentation

ItemIconState

Enumerator:

  Open = 1<<0 |
  Closed = 1<<1 |
  Error = 1<<2 |
  Fetching0 = 1<<3 |
  Fetching1 = 1<<4 |
  Fetching2 = 1<<5 |